#!/bin/sh

mem=$[`(grep MemTotal /proc/meminfo || echo 524288)| sed 's/[^0-9]//g'`*4]
[ $mem -ge 32948992 ] && mem=32948992

# 4Gb
root=$((4*1024*1024*2))
# 2Gb
var=$((2*1024*1024*2))

# Don't use raids under virtualization
if lspci -n | grep -qE '(1013:00b8)|(80ee:beef)|(14ad:0405)' ; then
	server_methods='plain'
else
	server_methods='raid plain'
fi


cat > /var/cache/alterator/vm-profile.scm << _EOF_
((server
  (title . "Setup for server")
  (action . trivial)
  (actiondata  ("swap" (size . $mem) (fsim . "SWAPFS") (methods $server_methods))
               ("/" (size  . $root) (fsim . "Ext2/3") (methods $server_methods))
			   ("/var" (size $var . #t) (fsim . "Ext2/3") (methods $server_methods)))))
_EOF_
